"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cursorPaginate = cursorPaginate;
function cursorPaginate(_a) {
    return __awaiter(this, arguments, void 0, function* ({ queryPage }) {
        var _b;
        // Fetch the first page
        const data = yield queryPage();
        const { pages, items } = data;
        let nextPage = pages === null || pages === void 0 ? void 0 : pages.next;
        while (nextPage) {
            const next = yield queryPage(nextPage);
            items.push(...next.items);
            nextPage = (_b = next.pages) === null || _b === void 0 ? void 0 : _b.next;
        }
        return items;
    });
}
